if [ $# != 1 ]; then
   echo "Usage: $0 OPENCL | CUDA"
   exit
fi

echo "Untar..."
tar xf gromacs-2016.tar.gz
tar xf ctab_benchmark.tar.gz

echo "Building GROMACS..."

#
mkdir gromacs-build
cd gromacs-2016

if [ ${1} == "CUDA" ]; then
	echo "Building CUDA version"
	cmake . -DCMAKE_INSTALL_PREFIX=../gromacs-build -DGMX_MPI=OFF -DGMX_DEFAULT_SUFFIX=OFF -DGMX_BINARY_SUFFIX=""  -DGMX_LIBS_SUFFIX="" -DGMX_DETECT_GPU_AVAILABLE=OFF -DGMX_GPU=ON -DGMX_BUILD_OWN_FFTW=ON
elif [ ${1} == "OPENCL" ]; then
	echo "Building OpenCL version"
	cmake . -DCMAKE_INSTALL_PREFIX=../gromacs-build -DGMX_MPI=OFF -DGMX_DEFAULT_SUFFIX=OFF -DGMX_BINARY_SUFFIX=""  -DGMX_LIBS_SUFFIX="" -DGMX_DETECT_GPU_AVAILABLE=OFF -DGMX_GPU=ON -DGMX_USE_OPENCL=ON -DGMX_BUILD_OWN_FFTW=ON
else
	 echo "Usage: $0 OPENCL | CUDA"
fi
make -j8 && make install
cd ..

